## org.apache.aries.subsystem.core.internal
Class Utils

    java.lang.Object
      org.apache.aries.subsystem.core.internal.Utils

    public class Utils

extends Object

Constructor Summary
`Utils()`

Method Summary
`static org.osgi.service.coordinator.Coordination` `createCoordination()`
`static org.osgi.service.coordinator.Coordination` `createCoordination(BasicSubsystem subsystem)`
`static BasicSubsystem` `findFirstSubsystemAcceptingDependenciesStartingFrom(BasicSubsystem subsystem)`
`static BasicSubsystem` `findScopedSubsystemInRegion(BasicSubsystem subsystem)`
`static int` `getActiveUseCount(org.osgi.resource.Resource resource)`
`static long` `getId(org.osgi.resource.Resource resource)`
`static void` `installResource(org.osgi.resource.Resource resource, BasicSubsystem subsystem)`
`static boolean` `isAcceptDependencies(BasicSubsystem subsystem)`
`static boolean` `isBundle(org.osgi.resource.Resource resource)`
`static boolean` `isContent(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`static boolean` `isDependency(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`static boolean` `isInstallableResource(org.osgi.resource.Resource resource)`
`static boolean` `isRegionContextBundle(org.osgi.resource.Resource resource)`
`static boolean` `isSharedResource(org.osgi.resource.Resource resource)`
`static boolean` `isSubsystem(org.osgi.resource.Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### createCoordination

    public static org.osgi.service.coordinator.Coordination createCoordination()

### createCoordination

    public static org.osgi.service.coordinator.Coordination createCoordination(BasicSubsystem subsystem)

### findFirstSubsystemAcceptingDependenciesStartingFrom

    public static BasicSubsystem findFirstSubsystemAcceptingDependenciesStartingFrom(BasicSubsystem subsystem)

### findScopedSubsystemInRegion

    public static BasicSubsystem findScopedSubsystemInRegion(BasicSubsystem subsystem)

### getActiveUseCount

    public static int getActiveUseCount(org.osgi.resource.Resource resource)

### getId

    public static long getId(org.osgi.resource.Resource resource)

### installResource

    public static void installResource(org.osgi.resource.Resource resource,
                                       BasicSubsystem subsystem)

### isAcceptDependencies

    public static boolean isAcceptDependencies(BasicSubsystem subsystem)

### isBundle

    public static boolean isBundle(org.osgi.resource.Resource resource)

### isContent

    public static boolean isContent(BasicSubsystem subsystem,
                                    org.osgi.resource.Resource resource)

### isDependency

    public static boolean isDependency(BasicSubsystem subsystem,
                                       org.osgi.resource.Resource resource)

### isInstallableResource

    public static boolean isInstallableResource(org.osgi.resource.Resource resource)

### isRegionContextBundle

    public static boolean isRegionContextBundle(org.osgi.resource.Resource resource)

### isSharedResource

    public static boolean isSharedResource(org.osgi.resource.Resource resource)

### isSubsystem

    public static boolean isSubsystem(org.osgi.resource.Resource resource)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.